ONVIF::Media::Types::Envelope(3)

NAME
ONVIF::Media::Types::Envelope

DESCRIPTION
Perl data type class for the XML Schema defined complexType Envelope from the namespace http://schemas.xmlsoap.org/soap/envelope/.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Header

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   Body

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Envelope
   Header =>  { # ONVIF::Media::Types::Header
   },
   Body =>  { # ONVIF::Media::Types::Body
   },
 },

AUTHOR
Generated by SOAP::WSDL